private-test-cloud
2.2510
true
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
Private Test Cloud API guide
Last updated May 11, 2026
Get the certificate pair for the organization.
API Endpoint
GET https://{yourDomain}/{organizationName}/identity_/api/SamlCertificate/{partitionGlobalId}/certificates
Scopes
Requires the following scope: PM.AuthSetting.
Request headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.
Request body
The request body contains only the organization ID, as partitionGlobalId.
Responses
200 Success
The certificate pair was successfully retrieved.
{
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"primaryCertificateId": 0,
"primaryCertificate": "string",
"primaryCertificateThumbprint": "string",
"secondaryCertificateId": 0,
"secondaryCertificate": "string",
"secondaryCertificateThumbprint": "string"
}
{
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"primaryCertificateId": 0,
"primaryCertificate": "string",
"primaryCertificateThumbprint": "string",
"secondaryCertificateId": 0,
"secondaryCertificate": "string",
"secondaryCertificateThumbprint": "string"
}